/* ========振り返りテスト用、チェックボックス======== */

input[type=checkbox] {
  display: none;
}

.checkbox {
  box-sizing: border-box;
  -webkit-transition: background-color 0.2s linear;
  transition: background-color 0.2s linear;
  position: relative;
  display: inline-block;
  background-color: #FFFFFF;
  vertical-align: middle;
  cursor: pointer;
  margin-top: 0px;
  margin-bottom: 0px;
  margin-left: 0px;
  padding-top: 2px;
  padding-right: 5px;
  padding-left: 35px;
  font-size: 16px;
  font-weight: bold;
  height: 28px;
}

.checkbox:hover {
	background-color: #FFFF66;
}

.checkbox:hover:after {
  border-color: #53b300;
}

.checkbox:after {
  -webkit-transition: border-color 0.2s linear;
  transition: border-color 0.2s linear;
  position: absolute;
  top: 0px;
  left: 5px;
  display: block;
  margin-top: 2px;
  width: 20px;
  height: 20px;
  border: 2px solid #bbb;
  border-radius: 6px;
  content: '';
}

.checkbox:before {
  -webkit-transition: opacity 0.2s linear;
  transition: opacity 0.2s linear;
  position: absolute;
  top: 5px;
  left: 8px;
  display: block;
  margin-top: -2px;
  width: 12px;
  height: 12px;
  border-right: 4px solid #53b300;
  border-bottom: 4px solid #53b300;
  content: '';
  opacity: 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

input[type=checkbox]:checked + .checkbox:before {
  opacity: 1;
}
